fastd:
{% if grains.osfinger == 'Debian-8' %}
  pkg.installed:
    - fromrepo: jessie-backports
    - require:
      - pkgrepo: jessie-backports
{% else %}
  pkg.installed
{% endif %}

tun:
  kmod.present:
    - persist: True

fastd_disable_generic_autostart:
  file.replace:
    - name: /etc/default/fastd
    - pattern: ^AUTOSTART=(.*)$
    - repl: AUTOSTART="none"
    - require:
      - pkg: fastd

/var/lib/fastd/peer_groups:
  file.directory:
    - makedirs: True

{% for group_name, group in salt['pillar.get']('fastd:peer_groups',{}).items() %}
/var/lib/fastd/peer_groups/{{ group_name }}.git:
  git.latest:
  - name: {{ group['git_remote'] }}
  - rev: {{ group['git_branch'] }}
  - target: /var/lib/fastd/peer_groups/{{ group_name }}
  - require:
    - pkg: git

/etc/cron.d/fastd-peergroup-{{ group_name }}:
  file.managed:
  - source: salt://fastd/files/fastd-peergroup.cron.j2
  - user: root
  - group: root
  - mode: 644
  - template: jinja
  - context:
      group: {{ group_name }}

/usr/local/sbin/fastd-peergroup-update-{{ group_name }}:
  file.managed:
  - source: salt://fastd/files/fastd-peergroup-update.j2
  - user: root
  - group: root
  - mode: 755
  - template: jinja
  - context:
      group: {{ group_name }}
{% endfor %}

include:
  - fastd.instances
  - fastd.exporter
