include:
  - ferm

https://github.com/freifunk-darmstadt/mesh-announce.git:
  git.latest:
    - target: /opt/mesh-announce
    - force_fetch: true
    - force_reset: true

/etc/systemd/system/mesh-announce@.service:
  file.managed:
    - source: salt://mesh-announce/files/mesh-announce@.service
    - user: root
    - group: root
    - mode: 644

mesh-announce_deps:
  pkg.installed:
     - pkgs:
       - ethtool
       - lsb-release
       - python3-netifaces

/etc/mesh-announce:
  file.directory

{% for domain_key, domain_val in pillar.get('domains', {}).items() %}
{%- set domain_id = domain_val['domain_id'] %}
/etc/mesh-announce/dom{{ domain_id }}:
  file.managed:
    - source: salt://mesh-announce/files/domain.j2
    - template: jinja
    - user: root
    - group: root
    - context:
      domain_code: {{ domain_key }}
      domain_id: {{ domain_id }}

mesh-announce@dom{{ domain_id }}:
  service.running:
    - enable: True
    - require:
      - git: https://github.com/freifunk-darmstadt/mesh-announce.git
      - file: /etc/systemd/system/mesh-announce@.service
      - file: /etc/mesh-announce/dom{{ domain_id }}
      - pkg: mesh-announce_deps
    - watch:
      - git: https://github.com/freifunk-darmstadt/mesh-announce.git
      - file: /etc/systemd/system/mesh-announce@.service
      - file: /etc/mesh-announce/dom{{ domain_id }}

/etc/ferm/conf.d/50-mesh-announce-dom{{ domain_id }}.conf:
  file.managed:
    - source: salt://mesh-announce/files/ferm.conf.j2
    - template: jinja
    - user: root
    - group: root
    - mode: 644
    - context:
      domain: {{ domain_key }}
      domain_id: {{ domain_id }}
    - require:
      - pkg: ferm
{% endfor %}
