include:
  - batman_adv

#
# runtime settings
#

{% for domain in pillar.get('domains', {}) %}
{% set domain_id = salt['pillar.get']('domains:%s:domain_id'|format(domain)) %}
{% set gw_mode = salt['pillar.get']('domains:%s:batman-adv:gw_mode:enabled'|format(domain), False) %}
{% set features = salt['pillar.get']('domains:%s:batman-adv:features'|format(domain), {}) %}
{% set dat = features.get('dat', True) %}
{% set mm_mode = features.get('mm', False) %}

# gateway mode
{% if gw_mode  %}
{%- set uplink = salt['pillar.get']('domains:%s:batman-adv:gw_mode:uplink', '100mbit') %}
{%- set downlink = salt['pillar.get']('domains:%s:batman-adv:gw_mode:uplink', '100mbit') %}
batctl_dom{{ domain_id }}_gw_mode:
  cmd.run:
    - name: batctl -m dom{{ domain_id }}-bat gw server {{ uplink }}/{{ downlink }}
    - unless: "[ \"$(batctl -m dom{{ domain_id }}-bat gw | awk '{ print $1 }')\" = \"server\" ]"
{% else %}
batctl_dom{{ domain_id }}_gw_mode:
  cmd.run:
    - name: batctl -m dom{{ domain_id }}-bat gw off
    - unless: "[ \"$(batctl -m dom{{ domain_id }}-bat gw | awk '{ print $1 }')\" = \"off\" ]"
{% endif %}

{% if dat  %}
batctl_dom{{ domain_id }}_dat:
  cmd.run:
    - name: batctl -m dom{{ domain_id }}-bat dat 1
    - unless: "[ \"$(batctl -m dom{{ domain_id }}-bat dat)\" = \"enabled\" ]"
{% else %}
batctl_dom{{ domain_id }}_dat:
  cmd.run:
    - name: batctl -m dom{{ domain_id }}-bat dat 0
    - unless: "[ \"$(batctl -m dom{{ domain_id }}-bat dat)\" = \"disabled\" ]"
{% endif %}


# multicast mode
{% if mm_mode %}
batctl_dom{{ domain_id }}_mm_mode:
  cmd.run:
    - name: batctl -m dom{{ domain_id }}-bat mm 1
    - unless: "[ \"$(batctl -m dom{{ domain_id }}-bat mm)\" = \"enabled\" ]"
clientbr_dom{{ domain_id }}_multicast_snooping:
  cmd.run:
    - name: echo 1 > /sys/class/net/dom{{ domain_id }}-br/bridge/multicast_snooping
    - unless: "[ \"$(cat /sys/class/net/dom{{ domain_id }}-br/bridge/multicast_snooping)\" -eq \"1\" ]"
{% else %}
batctl_dom{{ domain_id }}_mm_mode:
  cmd.run:
    - name: batctl -m dom{{ domain_id }}-bat mm 0
    - unless: "[ \"$(batctl -m dom{{ domain_id }}-bat mm)\" = \"disabled\" ]"
clientbr_dom{{ domain_id }}_multicast_snooping:
  cmd.run:
    - name: echo 0 > /sys/class/net/dom{{ domain_id }}-br/bridge/multicast_snooping
    - unless: "[ \"$(cat /sys/class/net/dom{{ domain_id }}-br/bridge/multicast_snooping)\" -eq \"0\" ]"

{% endif %}
{% endfor %}
