{%- for peer in pillar.babel.get('peers', []) if peer.tunnel.type == 'wireguard' %}

{% set iface_prefix = "babel" %}

/etc/wg/{{ iface_prefix }}_{{ peer.name }}.conf:
  file.managed:
    - require:
      - file: /etc/wg
    - source: salt://wireguard/files/wg.conf.j2
    - template: jinja
    - context:
      peer: {{ peer }}
{%- endfor %}

/etc/network/interfaces.d/babel-wireguard:
  file.managed:
    - template: jinja
    - require:
      - pkg: ifupdown2
      - pkg: wireguard
    - source: salt://wireguard/files/babel-interfaces-wireguard.j2

ifreload-wg-babel:
  cmd.run:
    - name: /sbin/ifreload -af
    - onchanges:
      - file: /etc/network/interfaces.d/babel-wireguard

/etc/ferm/conf.d/50-babel-wireguard.conf:
  file.managed:
    - source: salt://wireguard/files/babel-ferm.conf.j2
    - template: jinja
    - require:
      - file: /etc/ferm/conf.d
